Subject: bug#78693: 14.0.9; Folding of math macros with a function spec is broken

From: "Paul D. Nelson" <[email-masked]>
Date: Sat, 21 Jun 2025 12:06:54 +0200

Hi Raghuzar,

> I have tested the patch and resolve the original issue. I haven't tested
> the new functionality using the SPEC.

Thanks.

> One question about it: One problem I have had is that, if I have
> something like
>
> \begin{align}
>   [\hat{X},\hat{P}] = i\hbar
> \end{align}
>
> the commutator gets folded as an optional argument to the \begin.
> It is possible to not have this effect with new machinery without
> specifying \begin as not taking any optional arguments?

Could you please share your tex folding config, or better, the part
relevant for folding \begin{align}?

> I have only seen optional arguments before mandatory ones but I don't
> know if that can be relied upon in general.

What about "\begin{theorem}[My Favorite Theorem]"?

Paul